Bug 1891450 - [abrt] kitty: module(): launch.py:11:<module>:ImportError: cannot import name 'WATCHER_DEFINITION' from 'kitty.cli' (/usr/bin/../lib64/kitty/kitty/cli.py)
Summary: [abrt] kitty: module(): launch.py:11:<module>:ImportError: cannot import name...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kitty
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Artem
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:116bd8d72c76f7cdd4102292bfc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-26 10:21 UTC by Suvayu
Modified: 2021-04-28 01:10 UTC (History)
2 users (show)

Fixed In Version: kitty-0.20.1-1.fc33 kitty-0.20.1-1.fc34 kitty-0.20.1-1.fc32
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 21:41:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (7.69 KB, text/plain)
2020-10-26 10:21 UTC, Suvayu
no flags Details
File: cgroup (331 bytes, text/plain)
2020-10-26 10:21 UTC, Suvayu
no flags Details
File: cpuinfo (2.43 KB, text/plain)
2020-10-26 10:22 UTC, Suvayu
no flags Details
File: environ (3.85 KB, text/plain)
2020-10-26 10:22 UTC, Suvayu
no flags Details
File: mountinfo (3.99 KB, text/plain)
2020-10-26 10:22 UTC, Suvayu
no flags Details
File: namespaces (172 bytes, text/plain)
2020-10-26 10:22 UTC, Suvayu
no flags Details
File: open_fds (1.08 KB, text/plain)
2020-10-26 10:22 UTC, Suvayu
no flags Details

Description Suvayu 2020-10-26 10:21:53 UTC
Version-Release number of selected component:
kitty-0.19.0-1.fc32

Additional info:
reporter:       libreport-2.13.1
cmdline:        kitty
crash_function: module
exception_type: ImportError
executable:     /usr/lib64/kitty
interpreter:    kitty-0.19.0-1.fc32.x86_64
kernel:         5.8.12-200.fc32.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
#1 [/usr/bin/../lib64/kitty/kitty/launch.py:11] <module>
#2 [/usr/bin/../lib64/kitty/kitty/boss.py:1287] launch
#3 [/usr/bin/../lib64/kitty/kitty/boss.py:711] dispatch_action
#4 [/usr/bin/../lib64/kitty/kitty/boss.py:672] process_sequence

Comment 1 Suvayu 2020-10-26 10:21:58 UTC
Created attachment 1724130 [details]
File: backtrace

Comment 2 Suvayu 2020-10-26 10:21:59 UTC
Created attachment 1724131 [details]
File: cgroup

Comment 3 Suvayu 2020-10-26 10:22:01 UTC
Created attachment 1724132 [details]
File: cpuinfo

Comment 4 Suvayu 2020-10-26 10:22:03 UTC
Created attachment 1724133 [details]
File: environ

Comment 5 Suvayu 2020-10-26 10:22:05 UTC
Created attachment 1724134 [details]
File: mountinfo

Comment 6 Suvayu 2020-10-26 10:22:07 UTC
Created attachment 1724135 [details]
File: namespaces

Comment 7 Suvayu 2020-10-26 10:22:09 UTC
Created attachment 1724136 [details]
File: open_fds

Comment 8 Fedora Update System 2021-04-19 14:54:24 UTC
FEDORA-2021-0e9ca57b5d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0e9ca57b5d

Comment 9 Fedora Update System 2021-04-19 15:01:04 UTC
FEDORA-2021-f6236a88b4 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f6236a88b4

Comment 10 Fedora Update System 2021-04-19 18:08:27 UTC
FEDORA-2021-f6236a88b4 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f6236a88b4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f6236a88b4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-04-19 18:33:18 UTC
FEDORA-2021-0e9ca57b5d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0e9ca57b5d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0e9ca57b5d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-04-19 22:08:02 UTC
FEDORA-2021-70c8d454c3 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-70c8d454c3

Comment 13 Fedora Update System 2021-04-19 22:08:11 UTC
FEDORA-2021-d5458c929d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d5458c929d

Comment 14 Fedora Update System 2021-04-20 15:37:15 UTC
FEDORA-2021-d5458c929d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d5458c929d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d5458c929d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-04-20 22:25:21 UTC
FEDORA-2021-70c8d454c3 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-70c8d454c3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-70c8d454c3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-04-21 21:41:26 UTC
FEDORA-2021-d5458c929d has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-04-24 20:16:32 UTC
FEDORA-2021-70c8d454c3 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-04-28 01:10:37 UTC
FEDORA-2021-38bd80762e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.